Name:           ncview
Version:        2.1.7
Release:        %mkrel 1
Summary:        Graphic for netCDF data file 
License:        GPLv3
Group:          Sciences/Other
URL:            http://meteora.ucsd.edu/~pierce/ncview_home_page.html
Source0:        ftp://cirrus.ucsd.edu/pub/ncview/%{name}-%{version}.tar.gz
Patch0:         %{name}-2.1.2-fix-ldflag-linking.patch
BuildRequires:  netcdf-devel
BuildRequires:  libnetpbm-devel
BuildRequires:  libx11-devel
BuildRequires:  libxaw-devel
BuildRequires:  libxt-devel
BuildRequires:  udunits2-devel
BuildRequires:  expat-devel
BuildRequires:  libpng-devel

%description
Ncview is a visual browser for netCDF format files.  Typically you
would use ncview to get a quick and easy, push-button look at your
netCDF files.  You can view simple movies of the data, view along
various dimensions, take a look at the actual data values, change
color maps, invert the data, etc.


%prep
%setup -q
%autopatch -p0

%build
autoreconf -fi -Im4macros
%configure2_5x \
    --with-udunits2_incdir=%{_includedir}/udunits2

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_mandir}/man1/
install -m 0644 data/ncview.1 %{buildroot}%{_mandir}/man1/

mkdir -p %{buildroot}%{_datadir}/%{name}/
install -m 0644 *.ncmap %{buildroot}%{_datadir}/%{name}/

mkdir -p %{buildroot}%{_sysconfdir}/X11/app-defaults
install -m 0644 Ncview-appdefaults %{buildroot}%{_sysconfdir}/X11/app-defaults/Ncview

%files
%doc COPYING README ChangeLog AUTHORS README_LOCAL RELEASE_NOTES README.*
%config(noreplace) %{_sysconfdir}/X11/app-defaults/Ncview
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*


%changelog
* Sat Feb 04 2017 daviddavid <daviddavid> 2.1.7-1.mga6
+ Revision: 1084820
- new version: 2.1.7
- package the manpage and some other files
- remove useless desktop file

* Sat Feb 06 2016 umeabot <umeabot> 2.1.2-5.mga6
+ Revision: 941235
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.2-4.mga5
+ Revision: 748175
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.2-3.mga5
+ Revision: 682818
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.1.2-2.mga4
+ Revision: 528611
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 fwang <fwang> 2.1.2-1.mga4
+ Revision: 446789
- new version 2.1.2

* Mon Jun 03 2013 fwang <fwang> 2.1.1-3.mga4
+ Revision: 436024
- rebuild for new libpng

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 kamil <kamil> 2.1.1-1.mga2
+ Revision: 199345
- new version 2.1.1
- rename patch to fix-ldflag-linking.patch
- update %%doc-file-list

* Sat Jan 21 2012 kamil <kamil> 2.1-3.mga2
+ Revision: 199337
- fix build
- rebuild against new udunits2-2.1.24
- clean .spec

* Mon Sep 19 2011 fwang <fwang> 2.1-2.mga2
+ Revision: 145353
- fix category
- rebuild for new libpng
- br png
- new version 2.1

* Thu Feb 24 2011 grenoya <grenoya> 2.0-0.beta4.1.mga1
+ Revision: 58993
- clean old Mdv syntax
- imported package ncview

